## org.apache.hadoop.metrics2.util
Class MBeans

    java.lang.Object
      org.apache.hadoop.metrics2.util.MBeans

    public class MBeans

extends Object

This util class provides a method to register an MBean using our standard naming convention as described in the doc for {link `register(String, String, Object)`

Constructor Summary
`MBeans()`

Method Summary
`static ObjectName` `register(String serviceName, String nameName, Object theMbean)` Register the MBean using our standard MBeanName format "hadoop:service=<serviceName>,name=<nameName>" Where the <serviceName> and <nameName> are the supplied parameters
`static void` `unregister(ObjectName mbeanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeans

    public MBeans()

Method Detail

### register

    public static ObjectName register(String serviceName,
                                      String nameName,
                                      Object theMbean)

  Register the MBean using our standard MBeanName format "hadoop:service=<serviceName>,name=<nameName>" Where the <serviceName> and <nameName> are the supplied parameters

  Parameters:
    `serviceName` -
    `nameName` -
    `theMbean` - - the MBean to register
  Returns:
    the named used to register the MBean

### unregister

    public static void unregister(ObjectName mbeanName)

Copyright © 2009 The Apache Software Foundation